Bug 252770 - New Port: x11-themes/layan-gtk-themes: Layan is a flat Design theme for GTK 3, GTK 2 and Gnome-Shell
Summary: New Port: x11-themes/layan-gtk-themes: Layan is a flat Design theme for GTK 3...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-17 10:13 UTC by Alexander Vereeken
Modified: 2021-05-01 06:20 UTC (History)
0 users

See Also:


Attachments
layan-gtk-themes.diff (140.54 KB, patch)
2021-01-17 10:13 UTC, Alexander Vereeken
no flags Details | Diff
layan-gtk-themes-poudriere.log (32.41 KB, text/plain)
2021-01-17 10:15 UTC, Alexander Vereeken
no flags Details
layan-gtk-themes.diff (145.68 KB, patch)
2021-02-13 19:39 UTC, Alexander Vereeken
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Vereeken 2021-01-17 10:13:37 UTC
Created attachment 221662 [details]
layan-gtk-themes.diff

Layan is a flat Design theme for GTK 3, GTK 2 and Gnome-Shell.

WWW: https://github.com/vinceliuice/Layan-gtk-theme

portlint -abct: looks fine

Poudriere 12.2-Release amd64: OK
Comment 1 Alexander Vereeken 2021-01-17 10:15:17 UTC
Created attachment 221663 [details]
layan-gtk-themes-poudriere.log
Comment 2 commit-hook freebsd_committer 2021-01-17 17:32:00 UTC
A commit references this bug:

Author: jbeich
Date: Sun Jan 17 17:31:24 UTC 2021
New revision: 561840
URL: https://svnweb.freebsd.org/changeset/ports/561840

Log:
  x11-drivers/xf86-video-intel: update to 2.99.917.916 (2021-01-15 snapshot)

  Changes:	https://gitlab.freedesktop.org/xorg/driver/xf86-video-intel/-/compare/a511f22cdec5...31486f40f8e8
  PR:		252770
  Tested by:	Oleksandr Kryvulia
  Approved by:	zeising

Changes:
  head/x11-drivers/xf86-video-intel/Makefile
  head/x11-drivers/xf86-video-intel/distinfo
Comment 3 Jan Beich freebsd_committer 2021-01-17 17:38:28 UTC
Ignore comment 2 as it was for bug 252771.
Comment 4 Alexander Vereeken 2021-02-13 19:39:39 UTC
Created attachment 222413 [details]
layan-gtk-themes.diff

Use proper patch.
Comment 5 commit-hook freebsd_committer 2021-05-01 06:16:41 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9c0a5fedf857a4c622490a5399953c70b546b1db

commit 9c0a5fedf857a4c622490a5399953c70b546b1db
Author:     Alexander Vereeken <Alexander88207@protonmail.com>
AuthorDate: 2021-01-17 00:09:20 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-05-01 05:57:34 +0000

    x11-themes/layan-gtk-themes: add new port

    Layan is a flat Material Design theme for GTK 3, GTK 2 and Gnome-Shell.

    Supported Desktop Environments:

    * Gnome-Shell
    * Plank
    * Xfce

    https://github.com/vinceliuice/Layan-gtk-theme

    PR:             252770

 x11-themes/Makefile                                |    1 +
 x11-themes/layan-gtk-themes/Makefile (new)         |   31 +
 x11-themes/layan-gtk-themes/distinfo (new)         |    3 +
 .../layan-gtk-themes/files/patch-install.sh (new)  |   58 +
 x11-themes/layan-gtk-themes/pkg-descr (new)        |    9 +
 x11-themes/layan-gtk-themes/pkg-plist (new)        | 2122 ++++++++++++++++++++
 6 files changed, 2224 insertions(+)
Comment 6 Jan Beich freebsd_committer 2021-05-01 06:20:47 UTC
Thanks. Landed.